<script lang="ts">
	import { page } from '$app/stores';
	export let href: string;
    export let callback: () => void = () => {};
</script>

<a
	{href}
	class:active={$page.url.pathname == href}
	class="text-lg p-3 rounded-md transition-all hover:text-gray-600"
    on:click={() => {
        callback();
    }}
>
	<slot />
</a>

<style>
  a.active {
    color: #c27e00;
    background-color: #FED053;
    /* add visible underline */
    border-bottom: 2px solid #c27e00;
    
  }
</style>
